declare function sign(message: string | Uint8Array, privateKey: string | Uint8Array): Promise<string>;
declare function verify(signature: string | Uint8Array, message: string | Uint8Array, publicKey: string | Uint8Array): Promise<boolean>;
export declare class KeyPair {
    private readonly secret;
    static random(): KeyPair;
    static fromSecret(string: string): Promise<KeyPair>;
    static sign: typeof sign;
    static verify: typeof verify;
    constructor(bytes: string | Uint8Array);
    get prvkey(): string;
    get pubraw(): Uint8Array;
    get pubkey(): string;
    sign(message: string): Promise<string>;
    verify(message: string, signature: string | Uint8Array): Promise<boolean>;
}
export {};
//# sourceMappingURL=keypair.d.ts.map