import { NostrClient } from '../class/client';
import { Event, Json, Tag } from '../schema/types';
export declare class SignedEvent implements Event {
    readonly event: Event;
    readonly client: NostrClient;
    constructor(event: Event | SignedEvent, client: NostrClient);
    get isAuthor(): boolean;
    get isValid(): Promise<boolean>;
    get isJSON(): boolean;
    get id(): string;
    get kind(): number;
    get created_at(): number;
    get pubkey(): string;
    get subject(): string | undefined;
    get content(): Json;
    get sig(): string;
    get tags(): Tag[][];
    get members(): Tag[][];
    get sources(): Tag[][];
    toJSON(): Event;
}
//# sourceMappingURL=SignedEvent.d.ts.map